Call Flow Numbers
Authorizations
AuthorizationstringRequired
The Bearer API key of your user more info.
Query parameters
statestring · enumOptionalDefault:
Filter call flow numbers by availability state.
ANYPossible values: start-indexinteger · int32OptionalDefault:
an integer specifying the starting point (beginning with 0) when paging through a list of entities
0max-resultsinteger · int32 · max: 100OptionalDefault:
the maximum number of results when paging through a list of entities.
50querystringOptional
Filter call flow numbers by name.
Responses
200
The call flow numbers
application/json
idinteger · int64Optional
namestringOptional
statestring · enumOptionalPossible values:
get/call-flow-numbers
GET /api/call-flow-numbers HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200
The call flow numbers
[
{
"id": 1,
"name": "text",
"state": "AVAILABLE",
"phoneNumber": {
"regionCode": "text",
"number": "text"
},
"assignedTo": {
"id": 1,
"name": "text"
}
}
]Authorizations
AuthorizationstringRequired
The Bearer API key of your user more info.
Path parameters
idnumberRequired
entity ID
Responses
200
The requested call flow number
application/json
idinteger · int64Optional
namestringOptional
statestring · enumOptionalPossible values:
get/call-flow-numbers/{id}
GET /api/call-flow-numbers/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200
The requested call flow number
{
"id": 1,
"name": "text",
"state": "AVAILABLE",
"phoneNumber": {
"regionCode": "text",
"number": "text"
},
"assignedTo": {
"id": 1,
"name": "text"
}
}Authorizations
AuthorizationstringRequired
The Bearer API key of your user more info.
Path parameters
namestringRequired
unique name of the call flow number
Responses
200
The requested call flow number
application/json
idinteger · int64Optional
namestringOptional
statestring · enumOptionalPossible values:
get/call-flow-numbers/name/{name}
GET /api/call-flow-numbers/name/{name} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200
The requested call flow number
{
"id": 1,
"name": "text",
"state": "AVAILABLE",
"phoneNumber": {
"regionCode": "text",
"number": "text"
},
"assignedTo": {
"id": 1,
"name": "text"
}
}Last updated
Was this helpful?